ActivityController_report
POST
/api/notifications/activity
const url = 'https://api.streams.chat/api/notifications/activity';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"deviceId":"example","active":true,"reason":"lock","surface":"android-twa"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams.chat/api/notifications/activity \ --header 'Content-Type: application/json' \ --data '{ "deviceId": "example", "active": true, "reason": "lock", "surface": "android-twa" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
deviceId
required
string
active
required
boolean
reason
string
surface
string